#!/bin/sh

set -x

docker run --rm -it \
           --env-file /etc/aws/route53_credentials \
           --volume "/etc/letsencrypt:/etc/letsencrypt" \
           --volume "/var/lib/letsencrypt:/var/lib/letsencrypt" \
           --volume "/var/log/letsencrypt:/var/log/letsencrypt" \
           --name ${1:-certbot} \
           certbot/dns-route53 certonly -n \
           --force-renewal \
           --server https://acme-v02.api.letsencrypt.org/directory \
           --email alex@matevi.sh \
	   --agree-tos \
           --dns-route53 \
	   -d 'matevi.sh,*.matevi.sh'

