#!/bin/bash

set -x

docker run --detach \
           --publish ${2:-5000}:5000 \
           --publish ${3:-5001}:5001 \
           --restart always \
           --volume /data/znc:/znc-data \
           --volume /var/lib/znc:/var/lib/znc \
           --name ${1:-znc} \
           znc:latest
